Bug 143421 - DVD-ROMS recognized as empty, CD creator opens
DVD-ROMS recognized as empty, CD creator opens
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-20 12:30 EST by Gérard Milmeister
Modified: 2013-03-05 22:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:28:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2004-12-20 12:30:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Galeon/1.3.18

Description of problem:
I hope this is the right component to report to.

On insertion of a DVD-ROM containing data, either aVideo-DVD or
self-burned one, the Nautilus DVD/CD-Creator pops up. The same happens
when one clicks on the DVD icon that appears on the desktop. This
happens most of the time, however not always. Sometimes, the DVD is
recognized correctly. I have not succeeded to detect a pattern for
this behaviour though.

In any case the DVD can be mounted as usual and the content browsed,
resp. the Video played.

Version-Release number of selected component (if applicable):
hal-0.4.2-1.FC3

How reproducible:
Sometimes

Steps to Reproduce:
No pattern recognized

Additional info:
Comment 1 Gérard Milmeister 2004-12-20 13:06:13 EST
The log message is this:
cdrom: This disc doesn't have any tracks I recognize!

However when I mount using "mount /dev/cdrecorder" I get:
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
SELinux: initialized (dev hdc, type iso9660), uses genfs_contexts
Comment 2 David Zeuthen 2005-01-03 14:46:41 EST
What kernel are you using? Please try the latest kernel from Rawhide.
Comment 3 Angelo 2005-03-12 05:32:02 EST
(In reply to comment #2)
> What kernel are you using? Please try the latest kernel from Rawhide.

I see the same issues with my 2 Plextors (a 716A burner and 116A reader) under
FC3 x86_64, fully updated with the 2.6.10-1.770_FC3. I have tried the
development kernel-2.6.11-1.1177_FC4.x86_64, but this makes no difference.
Comment 4 Scot Harris 2005-03-12 15:20:56 EST
I am seeing a similar problem.

Running a ASUS P5GD2 Deluxe mother board and a Plexor PL-716A DVD burner.  FC3
with the 760 smp kernel.  When I put a disc in the drive, either CD or DVD, it
is not recognized.  I can mount the drive manually and read the data or run
other applications like xine on DVDs.  

I have sucessfull burned CDs with this drive.  I do have a problem trying to get
DMA enabled however.
Comment 5 Gérard Milmeister 2006-05-16 18:33:51 EDT
Currently with kernel 2.6.16-1.2096_FC5, the problem remains:
With automatic mounting (via hal and gnome-mount):
  cdrom: This disc doesn't have any tracks I recognize!
The directory /media/cdrecorder is empty and clicking on the
DVD icon opens the nautilus-burn.

When I do:
  sudo mount /dev/dvd /media/cdrecorder
the message is still:
  cdrom: This disc doesn't have any tracks I recognize!
the DVD icon also appears and opens to nautilus-burn.
But this time the directory /media/cdrecorder correctly
shows the content of the DVD-ROM.
(Note: /dev/dvd is a link to hdd)
Comment 6 Vasily Egoshin 2006-05-18 05:05:01 EDT
I think I found the pattern of this issue at least on my DELL Inspiron 5100 cd 
burner SAMSUNG SN-324F. The problem appears when DVD disk is present in drive 
during Fedora boot process. If booting performed with cd drive empty all 
starts working. Although dvd mounting by hand working always for me. 
Comment 7 Gérard Milmeister 2006-05-18 11:58:36 EDT
(In reply to comment #6)
> burner SAMSUNG SN-324F. The problem appears when DVD disk is present in drive 
> during Fedora boot process. If booting performed with cd drive empty all 
This doesn't change anything for me, unfortunately.

I have used isoinfo on two DVD's: the Fedora one mounts automatically,
the X-Plane one as empty. Maybe this gives an indication of the problem.

CD-ROM is in ISO 9660 format
System id: LINUX
Volume id: FC/5 i386
Volume set id: FC/5 i386
Publisher id:
Data preparer id:
Application id: FC/5 i386
Copyright File id:
Abstract File id:
Bibliographic File id:
Volume set size is: 1
Volume set sequence number is: 1
Logical block size is: 2048
Volume size is: 1588706
El Torito VD version 1 found, boot catalog is in sector 352
Joliet with UCS level 3 found
Rock Ridge signatures version 1 found
Eltorito validation header:
    Hid 1
    Arch 0 (x86)
    ID ''
    Key 55 AA
    Eltorito defaultboot header:
        Bootid 88 (bootable)
        Boot media 0 (No Emulation Boot)
        Load segment 0
        Sys type 0
        Nsect 4
        Bootoff 161 353

CD-ROM is in ISO 9660 format
System id: APPLE COMPUTER, INC., TYPE: 0002
Volume id: XPLANE8
Volume set id: NOT_SET
Publisher id:
Data preparer id:
Application id: TOAST ISO 9660 BUILDER COPYRIGHT (C) 1997-2004 ROXIO, INC. -
HAVE A NICE DAY
Copyright File id:
Abstract File id:
Bibliographic File id:
Volume set size is: 1
Volume set sequence number is: 1
Logical block size is: 2048
Volume size is: 2298105
Joliet with UCS level 1 found
NO Rock Ridge present

Comment 8 Gérard Milmeister 2006-06-02 14:02:31 EDT
I think the new hal rules are to blame. A cdrom is mounted at /media/VOLUME_LABEL
where VOLUME_LABEL is the volume name of the cdrom. In my opinion this
is a bad idea.
I used an fdi file as suggested in:
http://forums.fedoraforum.org/showthread.php?t=103810
so that a cdrom is mounted at /media/cdrecorder as in the previous behaviour.
Now, the cdrom that was not mounted previously is now mounted correctly,
however the name on the desktop is now "cdrecorder" and not VOLUME as before.
A cdrom should always mount at the same mount-point, if there are several
drives, they should be numbered.
Comment 9 petrosyan 2008-03-10 01:28:54 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?
Comment 10 Bug Zapper 2008-04-03 21:53:01 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Bug Zapper 2008-05-06 11:28:34 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.